{% extends 'layout.html.twig' %}

{% import 'log/_navigation.html.twig' as nav %}

{% block content %}
  <h1>{{ 'log.action.read'|trans }}</h1>

  {{ nav.breadcrumbs(entity, 'read') }}

  <div class="row expanded collapse">
    <div class="large-6 columns end">
      <table>
        <thead>
          <tr>
            <th width="30%">{{ 'common.param'|trans }}</th>
            <th>{{ 'common.value'|trans }}</th>
          </tr>
        </thead>
        <tbody>
          <tr>
            <td>{{ 'log.entity.id'|trans }}</td>
            <td>{{ entity.id }}</td>
          </tr>
          <tr>
            <td>{{ 'log.entity.channel'|trans }}</td>
            <td>{{ entity.channel }}</td>
          </tr>
          <tr>
            <td>{{ 'log.entity.level'|trans }}</td>
            <td>{{ entity.levelName }} ({{ entity.level }})</td>
          </tr>
          <tr>
            <td>{{ 'log.entity.message'|trans }}</td>
            <td>{{ entity.message }}</td>
          </tr>
          <tr>
            <td>{{ 'log.entity.date'|trans }}</td>
            <td>{{ entity.date|date(datetime_format) }}</td>
          </tr>
          <tr>
            <td>{{ 'log.entity.username'|trans }}</td>
            <td>{{ entity.username ? entity.username : '---' }}</td>
          </tr>
          <tr>
            <td>{{ 'log.entity.context'|trans }}</td>
            <td><pre>{{ entity.context|print_var() }}</pre></td>
          </tr>
          <tr>
            <td>{{ 'log.entity.extra'|trans }}</td>
            <td><pre>{{ entity.extra|print_var() }}</pre></td>
          </tr>
        </tbody>
      </table>
    </div>
  </div>

  {{ nav.actions(entity, {'list': true}) }}
{% endblock %}
